Bug 137299 - Perl segfaults with spamd -d user
Perl segfaults with spamd -d user
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Warren Togami
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-27 08:21 EDT by Sandino Araico Sánchez
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-11 06:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandino Araico Sánchez 2004-10-27 08:21:21 EDT
Description of problem:

When running spamd with the parameter -d user perl segfaults

Found the lines in spamd that segfault:
if ( my $nh = ( getpwnam( $opt{'username'} ) )[7] ) {
    $ENV{'HOME'} = $nh;
}

The getpwnam() is broken.


Version-Release number of selected component (if applicable):

5.8.3-18 and 5.8.5-9 both segfault the same


How reproducible:

Always

Steps to Reproduce:
1. rpm -uvh spamassassin
2. spamd -d user
3.
  
Actual results:
Segfaults

Expected results:
The spamd daemon should start and keep running

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:26:57 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Warren Togami 2005-09-11 06:42:57 EDT
Closing because FC2 is no longer supported.  Please reopen if this is an issue
in FC3+.

Note You need to log in before you can comment on or make changes to this bug.